Error in launching Openstack instance.

dreamoka
dreamoka Member Posts: 34 ✭✭✭

Hi, I facing issue in launching solace broker instance. I using ubuntu Openstack. For openstack , I using qcow2 (compressed). I followed the instruction in https://docs.solace.com/Solace-SW-Broker-Set-Up/Starting-SW-Brokers-for-the-First-Time/Set-Up-in-OpenStack.htm. Have anyone faced the issue before? May I know how to solve it ? Thank you for your help.

Error: Failed to perform requested operation on instance "solace-01-virt", the instance has an error status: Please try again later [Error: Build of instance a93db005-9ce7-4a2c-914e-648f0bd1f835 aborted: Volume 099cc20b-aa5d-46ee-950e-b9eeca72918c did not finish being created even after we waited 186 seconds or 61 attempts. And its status is downloading.].

Tagged:

Comments

  • dreamoka
    dreamoka Member Posts: 34 ✭✭✭

    Hi I add the fault information

    Fault Information

    Message : Build of instance dbc1abae-eedb-475e-a0ed-0ba92c5249c5 aborted: Volume b0f0793f-7c66-471d-8648-603967917fea did not finish being created even after we waited 186 seconds or 61 attempts. And its status is downloading.

    Code : 500

    Details: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/nova/compute/manager.py", line 1976, in _prep_block_device driver_block_device.attach_block_devices( File "/usr/lib/python3/dist-packages/nova/virt/block_device.py", line 874, in attach_block_devices _log_and_attach(device) File "/usr/lib/python3/dist-packages/nova/virt/block_device.py", line 871, in _log_and_attach bdm.attach(*attach_args, **attach_kwargs) File "/usr/lib/python3/dist-packages/nova/virt/block_device.py", line 769, in attach self.volume_id, self.attachment_id = self._create_volume( File "/usr/lib/python3/dist-packages/nova/virt/block_device.py", line 384, in _create_volume self._call_wait_func(context, wait_func, volume_api, vol['id']) File "/usr/lib/python3/dist-packages/nova/virt/block_device.py", line 728, in _call_wait_func LOG.warning( File "/usr/lib/python3/dist-packages/oslo_utils/excutils.py", line 227, in __exit__ self.force_reraise() File "/usr/lib/python3/dist-packages/oslo_utils/excutils.py", line 200, in force_reraise raise self.value File "/usr/lib/python3/dist-packages/nova/virt/block_device.py", line 721, in _call_wait_func wait_func(context, volume_id) File "/usr/lib/python3/dist-packages/nova/compute/manager.py", line 1591, in _await_block_device_map_created raise exception.VolumeNotCreated(volume_id=vol_id, nova.exception.VolumeNotCreated: Volume b0f0793f-7c66-471d-8648-603967917fea did not finish being created even after we waited 186 seconds or 61 attempts. And its status is downloading. During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/nova/compute/manager.py", line 2605, in _build_resources block_device_info = self._prep_block_device(context, instance, File "/usr/lib/python3/dist-packages/nova/compute/manager.py", line 1996, in _prep_block_device raise exception.InvalidBDM(str(ex)) nova.exception.InvalidBDM: Volume b0f0793f-7c66-471d-8648-603967917fea did not finish being created even after we waited 186 seconds or 61 attempts. And its status is downloading. During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/nova/compute/manager.py", line 2232, in _do_build_and_run_instance self._build_and_run_instance(context, instance, image, File "/usr/lib/python3/dist-packages/nova/compute/manager.py", line 2441, in _build_and_run_instance compute_utils.notify_about_instance_create( File "/usr/lib/python3/dist-packages/oslo_utils/excutils.py", line 227, in __exit__ self.force_reraise() File "/usr/lib/python3/dist-packages/oslo_utils/excutils.py", line 200, in force_reraise raise self.value File "/usr/lib/python3/dist-packages/nova/compute/manager.py", line 2392, in _build_and_run_instance with self._build_resources(context, instance, File "/usr/lib/python3.8/contextlib.py", line 113, in __enter__ return next(self.gen) File "/usr/lib/python3/dist-packages/nova/compute/manager.py", line 2615, in _build_resources raise exception.BuildAbortException(instance_uuid=instance.uuid, nova.exception.BuildAbortException: Build of instance dbc1abae-eedb-475e-a0ed-0ba92c5249c5 aborted: Volume b0f0793f-7c66-471d-8648-603967917fea did not finish being created even after we waited 186 seconds or 61 attempts. And its status is downloading.


    Specs :

    16.4GB RAM

    4 VCPU

    Disk : 50GB